## zypper 1.14.68

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
PROJECT( ZYPPER C CXX )
SET( PACKAGE "zypper" )

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
IF (DEFINED ZYPP_PREFIX)
  SET( CMAKE_MODULE_PATH
    ${ZYPP_PREFIX}/${LIB}/cmake/Zypp/
    ${CMAKE_MODULE_PATH}
  )
ELSE (DEFINED ZYPP_PREFIX)
  SET( CMAKE_MODULE_PATH
    ${CMAKE_INSTALL_PREFIX}/${LIB}/cmake/Zypp/
    ${CMAKE_MODULE_PATH}
  )
ENDIF (DEFINED ZYPP_PREFIX)

SET( CMAKE_MODULE_PATH
  ${ZYPPER_SOURCE_DIR}/cmake/modules
  ${CMAKE_MODULE_PATH}
)
INCLUDE(ZyppCommon)

OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" ON)
OPTION (ENABLE_BUILD_TESTS "Build and run test suite by default?" OFF)

# VERSION
INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
SET( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
ADD_DEFINITIONS( -D_FILE_OFFSET_BITS=64 )
ADD_DEFINITIONS( -DVERSION="${VERSION}" )

SET( CMAKE_CXX_STANDARD ${ZYPPCOMMON_CXX_STANDARD} )
SET( CMAKE_CXX_EXTENSIONS OFF )
SET( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3" )
SET( CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE}   -O3" )

SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fPIC -g -Wall -fstack-protector" )

SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie" )

IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
  # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)
  # On SLE15/Leap 15.0 and 15.1 we will stay bug-compatible and accept the
  # abbreviations in order not to break tools. In 15.2 they must be fixed.
  MESSAGE( STATUS "LEGACY_ENABLE_LONGOPT_ABBREV" )
  ADD_DEFINITIONS( -DLEGACY_ENABLE_LONGOPT_ABBREV=1 )
ENDIF ( LEGACY_ENABLE_LONGOPT_ABBREV )

GENERATE_PACKAGING(${PACKAGE} ${VERSION})

FIND_PACKAGE( Zypp REQUIRED )
IF( ZYPP_FOUND )
  INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
ELSE( ZYPP_FOUND )
  MESSAGE( FATAL_ERROR "libzypp not found" )
ENDIF( ZYPP_FOUND )

FIND_PACKAGE( Gettext REQUIRED )
IF( GETTEXT_FOUND )
  INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
ELSE( GETTEXT_FOUND )
  MESSAGE( FATAL_ERROR "gettext not found" )
ENDIF( GETTEXT_FOUND )

FIND_PACKAGE( Readline REQUIRED )
IF( READLINE_FOUND )
  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
ELSE( READLINE_FOUND )
  MESSAGE( FATAL_ERROR "readline not found" )
ENDIF( READLINE_FOUND )

FIND_PACKAGE( Augeas REQUIRED )
IF( AUGEAS_FOUND )
  INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
  FIND_PACKAGE(LibXml2)
  IF (LIBXML2_FOUND)
    INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
  ENDIF( LIBXML2_FOUND)
ELSE( AUGEAS_FOUND )
  MESSAGE( FATAL_ERROR "augeas not found" )
ENDIF( AUGEAS_FOUND )

MACRO(ADD_TESTS)
  FOREACH( loop_var ${ARGV} )
    SET_SOURCE_FILES_PROPERTIES( ${loop_var}_test.cc COMPILE_FLAGS "-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN -DBOOST_AUTO_TEST_MAIN=\"\" " )
    ADD_EXECUTABLE( ${loop_var}_test ${loop_var}_test.cc )
    TARGET_LINK_LIBRARIES( ${loop_var}_test ${ZYPP_LIBRARY} boost_unit_test_framework zypper_lib zypper_test_utils)
    ADD_TEST( ${loop_var}_test ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}_test --catch_system_errors=no)
  ENDFOREACH( loop_var )
ENDMACRO(ADD_TESTS)

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( doc )
IF ( ENABLE_BUILD_TESTS )
  ADD_SUBDIRECTORY( tests )
ELSE ( ENABLE_BUILD_TESTS )
  ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
ENDIF ( ENABLE_BUILD_TESTS )

IF ( ENABLE_BUILD_TRANS )
  ADD_SUBDIRECTORY( po )
ELSE ( ENABLE_BUILD_TRANS )
  ADD_SUBDIRECTORY( po EXCLUDE_FROM_ALL )
ENDIF ( ENABLE_BUILD_TRANS )

INCLUDE(CTest)
ENABLE_TESTING()


# documentation too important to be hidden in doc:
INSTALL(
  FILES HACKING
  DESTINATION ${INSTALL_PREFIX}/share/doc/packages/${PACKAGE}
)

# system-wide zypper.conf
INSTALL(
  FILES zypper.conf
  DESTINATION ${SYSCONFDIR}/zypp
)

# zypper-log tool
INSTALL(
  PROGRAMS tools/zypper-log
  DESTINATION ${INSTALL_PREFIX}/sbin
)

# needs-restarting tool
INSTALL(
  PROGRAMS tools/needs-restarting
  DESTINATION ${INSTALL_PREFIX}/bin
)

# zypper-aptitude compat tool
INSTALL(
  PROGRAMS tools/aptitude tools/apt-get tools/apt
  DESTINATION ${INSTALL_PREFIX}/bin
)
INSTALL(
  DIRECTORY tools/apt-packagemap.d/
  DESTINATION ${SYSCONFDIR}/zypp/apt-packagemap.d
)

=== doc/CMakeLists.txt ===
FIND_PROGRAM(ASCIIDOC asciidoctor)
IF (ASCIIDOC)
MESSAGE("asciidoctor found: ${ASCIIDOC}")
SET(ASCDOC_CMD ${ASCIIDOC} -D ${CMAKE_CURRENT_BINARY_DIR} -b manpage -d manpage)
ENDIF (ASCIIDOC)

IF (NOT ASCDOC_CMD)
MESSAGE(FATAL_ERROR "Could not find asciidoctor, please install the package")
ENDIF()

function(ADD_A2X_MANPAGES)
    set(options)
    set(oneValueArgs MAN_INST_PATH)
    set(multiValueArgs MAN_PAGES1 MAN_PAGES2 MAN_PAGES3 MAN_PAGES4 MAN_PAGES5 MAN_PAGES6 MAN_PAGES7 MAN_PAGES8)
    cmake_parse_arguments(A2X "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

    set(ALL_MAN_PAGES)

    FOREACH (MAN_IDX RANGE 1 8)
        IF (NOT DEFINED A2X_MAN_PAGES${MAN_IDX})
            CONTINUE()
        ENDIF()

        FOREACH (curr_PAGE ${A2X_MAN_PAGES${MAN_IDX}})
            ADD_CUSTOM_COMMAND (
              OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
              COMMAND ${ASCDOC_CMD} ${CMAKE_CURRENT_SOURCE_DIR}/${curr_PAGE}.txt
              DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${curr_PAGE}.txt
              WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
              COMMENT "Building manpage ${curr_PAGE}"
            )

            ADD_CUSTOM_TARGET(
              ${curr_PAGE}_Target ALL
              DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
            )

            INSTALL (
              FILES ${CMAKE_CURRENT_BINARY_DIR}/${curr_PAGE}
              DESTINATION "${A2X_MAN_INST_PATH}/man${MAN_IDX}"
            )

        ENDFOREACH ()
    ENDFOREACH()
endfunction(ADD_A2X_MANPAGES)

SET (my_MAN1
     needs-restarting.1)

SET (my_MAN8
     zypper.8 zypper-log.8 zypp-refresh.8)

ADD_A2X_MANPAGES(
    MAN_INST_PATH ${MANDIR}
    MAN_PAGES1 ${my_MAN1}
    MAN_PAGES8 ${my_MAN8}
)

=== po/CMakeLists.txt ===
# Translation set name
SET( POT_NAME "zypper" )

# Creating the .pot file....
# POT_FILE_DEPENDS was set in ../src
SET( POT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${POT_NAME}.pot )

SET( XGETTEXT_CMD "xgettext" )
SET( XGETTEXT_OPTIONS -L C++ --boost --no-wrap --add-comments --add-location --foreign-user )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --keyword=_ --keyword=_:1,2 --keyword=__ --keyword=N_ --keyword=PL_:1,2 )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --copyright-holder=\"SuSE Linux GmbH, Nuernberg\" )
SET( XGETTEXT_OPTIONS ${XGETTEXT_OPTIONS} --package-name=${POT_NAME} --default-domain=${POT_NAME} )

SET( _abs_POT_FILE_DEPENDS )
FOREACH( _currentDepends ${POT_FILE_DEPENDS} )
  SET( _abs_POT_FILE_DEPENDS ${_abs_POT_FILE_DEPENDS} ${ZYPPER_SOURCE_DIR}/${_currentDepends} )
ENDFOREACH()

ADD_CUSTOM_COMMAND( OUTPUT ${POT_FILE}
  COMMAND ${XGETTEXT_CMD} ${XGETTEXT_OPTIONS} --output=${POT_FILE} ${POT_FILE_DEPENDS}
  WORKING_DIRECTORY ${ZYPPER_SOURCE_DIR}
  DEPENDS ${_abs_POT_FILE_DEPENDS}
  COMMENT "Extract translatable messages to ${POT_FILE}"
)


# Creating the .gmo files out of the .po files
FILE( GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po" )

SET( GMO_FILES )
FOREACH( _currentPoFile ${PO_FILES} )
  GET_FILENAME_COMPONENT( _absFile ${_currentPoFile} ABSOLUTE )
  GET_FILENAME_COMPONENT( _lang ${_absFile} NAME_WE )

  SET( _poFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.po )
  SET( _gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo )

  ADD_CUSTOM_COMMAND( OUTPUT ${_gmoFile}
    COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet --no-fuzzy-matching -o ${_poFile} ${_absFile} ${POT_FILE}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_poFile}
    DEPENDS ${POT_FILE} ${_absFile}
    COMMENT "Update ${_gmoFile}"
  )

  INSTALL( FILES ${_gmoFile}
    DESTINATION share/locale/${_lang}/LC_MESSAGES
    RENAME ${POT_NAME}.mo
  )

  SET( GMO_FILES ${GMO_FILES} ${_gmoFile} )
ENDFOREACH()


# Provides the 'translations' target that
# creates the .gmo files out of the .po files
SET( SOURCE_POT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${POT_NAME}.pot )

ADD_CUSTOM_TARGET( translations ALL
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/PotfileDiff.sh ${SOURCE_POT_FILE} ${POT_FILE} | grep '^[+-][^+-]' || true
  DEPENDS ${GMO_FILES}
  COMMENT ".pot file diff..."
)

ADD_CUSTOM_TARGET( potfile_update
  COMMAND ./PotfileDiff.sh ${SOURCE_POT_FILE} ${POT_FILE} -q || ./PotfileUpadte.sh ${CMAKE_CURRENT_BINARY_DIR}
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS translations
  COMMENT "Checking for uncommitted changes to the .pot file..."
)

=== src/CMakeLists.txt ===
# Collect all files that may contain translatable texts
FILE( GLOB_RECURSE POT_FILE_DEPENDS RELATIVE ${ZYPPER_SOURCE_DIR} "*.h" "*.cc" )
SET( POT_FILE_DEPENDS ${POT_FILE_DEPENDS} PARENT_SCOPE )

ADD_DEFINITIONS (
  -DPACKAGE="${PACKAGE}"
  -DLOCALEDIR="${INSTALL_PREFIX}/share/locale"
)

MESSAGE ( "** Locale dir is ${INSTALL_PREFIX}/share/locale" )

INCLUDE_DIRECTORIES(${ZYPPER_SOURCE_DIR}/src)

SET (zypper_HEADERS
  Zypper.h
  Guardians.h
  main.h
  Command.h
  Config.h
  repos.h
  locales.h
  misc.h
  search.h
  info.h
  Table.h
  update.h
  solve-commit.h
  PackageArgs.h
  SolverRequester.h
  Summary.h
  CommitSummary.h
  global-settings.h
  issue.h
  callbacks/keyring.h
  callbacks/media.h
  callbacks/rpm.h
  callbacks/repo.h
  callbacks/job.h
  commands/optionsets.h
  commands/commandhelpformatter.h
  commands/conditions.h
  commands/basecommand.h
  commands/locks.h
  commands/locks/common.h
  commands/locks/add.h
  commands/locks/clean.h
  commands/locks/list.h
  commands/locks/remove.h
  commands/search/search-packages-hinthack.h
  commands/search/search.h
  commands/services.h
  commands/services/common.h
  commands/services/list.h
  commands/services/refresh.h
  commands/services/add.h
  commands/services/modify.h
  commands/services/remove.h
  commands/repos.h
  commands/repos/list.h
  commands/repos/add.h
  commands/repos/clean.h
  commands/repos/remove.h
  commands/repos/rename.h
  commands/repos/modify.h
  commands/repos/refresh.h
  commands/reposerviceoptionsets.h
  commands/utils.h
  commands/utils/targetos.h
  commands/utils/versioncmp.h
  commands/utils/licenses.h
  commands/utils/download.h
  commands/utils/source-download.h
  commands/utils/purge-kernels.h
  commands/ps.h
  commands/needs-rebooting.h
  commands/query.h
  commands/query/info.h
  commands/query/miscqueryinit.h
  commands/query/packages.h
  commands/query/patches.h
  commands/query/patterns.h
  commands/query/products.h
  commands/solveroptionset.h
  commands/installremove.h
  commands/sourceinstall.h
  commands/distupgrade.h
  commands/inrverify.h
  commands/selectpatchoptionset.h
  commands/patch.h
  commands/update.h
  commands/commonflags.h
  commands/patchcheck.h
  commands/listupdates.h
  commands/listpatches.h
  commands/nullcommands.h
  commands/shell.h
  commands/help.h
  commands/configtest.h
  commands/subcommand.h
  commands/locale/localescmd.h
  commands/locale/addlocalecmd.h
  commands/locale/removelocalecmd.h
)

SET( zypper_SRCS
  Zypper.cc
  Command.cc
  Config.cc
  repos.cc
  locales.cc
  misc.cc
  search.cc
  info.cc
  update.cc
  solve-commit.cc
  PackageArgs.cc
  RequestFeedback.cc
  SolverRequester.cc
  Summary.cc
  CommitSummary.cc
  global-settings.cc
  issue.cc
  callbacks/media.cc
  commands/optionsets.cc
  commands/commandhelpformatter.cc
  commands/conditions.cc
  commands/basecommand.cc
  commands/locks/common.cc
  commands/locks/add.cc
  commands/locks/clean.cc
  commands/locks/list.cc
  commands/locks/remove.cc
  commands/search/search-packages-hinthack.cc
  commands/search/search.cc
  commands/services/common.cc
  commands/services/list.cc
  commands/services/refresh.cc
  commands/services/add.cc
  commands/services/modify.cc
  commands/services/remove.cc
  commands/repos/list.cc
  commands/repos/add.cc
  commands/repos/clean.cc
  commands/repos/remove.cc
  commands/repos/rename.cc
  commands/repos/modify.cc
  commands/repos/refresh.cc
  commands/reposerviceoptionsets.cc
  commands/utils/targetos.cc
  commands/utils/versioncmp.cc
  commands/utils/licenses.cc
  commands/utils/download.cc
  commands/utils/source-download.cc
  commands/utils/purge-kernels.cc
  commands/ps.cc
  commands/needs-rebooting.cc
  commands/query/info.cc
  commands/query/packages.cc
  commands/query/patches.cc
  commands/query/patterns.cc
  commands/query/products.cc
  commands/solveroptionset.cc
  commands/installremove.cc
  commands/sourceinstall.cc
  commands/distupgrade.cc
  commands/inrverify.cc
  commands/selectpatchoptionset.cc
  commands/patch.cc
  commands/update.cc
  commands/patchcheck.cc
  commands/listupdates.cc
  commands/listpatches.cc
  commands/nullcommands.cc
  commands/shell.cc
  commands/help.cc
  commands/subcommand.cc
  commands/configtest.cc
  commands/locale/localescmd.cc
  commands/locale/addlocalecmd.cc
  commands/locale/removelocalecmd.cc
  ${zypper_HEADERS}
)

SET( zypper_out_HEADERS
  output/Out.h
  output/OutNormal.h
  output/OutXML.h
  output/prompt.h
  output/AliveCursor.h
  output/Utf8.h
)

SET( zypper_out_SRCS
  output/OutXML.cc
  ${zypper_out_HEADERS}
)

SET( zypper_utils_HEADERS
  utils/Augeas.h
  utils/ansi.h
  utils/colors.h
  utils/console.h
  utils/getopt.h
  utils/messages.h
  utils/misc.h
  utils/MultiParText.h
  utils/Offering.h
  utils/pager.h
  utils/prompt.h
  utils/richtext.h
  utils/text.h
  utils/XmlFilter.h
  utils/flags/zyppflags.h
  utils/flags/flagtypes.h
  utils/flags/exceptions.h
)

SET( zypper_utils_SRCS
  utils/Augeas.cc
  utils/getopt.cc
  utils/messages.cc
  utils/misc.cc
  utils/pager.cc
  utils/prompt.cc
  utils/flags/zyppflags.cc
  utils/flags/flagtypes.cc
  utils/flags/exceptions.cc
  ${zypper_utils_HEADERS}
)

ADD_LIBRARY( zypper_lib STATIC ${zypper_SRCS} ${zypper_out_SRCS} ${zypper_utils_SRCS} )
TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lxml2 )

ADD_EXECUTABLE( zypper main.cc )
TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${ZYPP_TUI_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )

INSTALL(
  TARGETS zypper
  RUNTIME DESTINATION ${INSTALL_PREFIX}/bin
)

MESSAGE ( "** ZYpper binary will be installed in ${INSTALL_PREFIX}/bin" )

INSTALL(  FILES
  output/xmlout.rnc
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/zypper/xml
)

# zypp-refresh utility
ADD_EXECUTABLE( zypp-refresh zypp-refresh.cc )
TARGET_LINK_LIBRARIES( zypp-refresh ${ZYPP_LIBRARY} )
SET_TARGET_PROPERTIES( zypp-refresh PROPERTIES LINK_FLAGS "-pie -Wl,-z,relro,-z,now")
SET_TARGET_PROPERTIES( zypp-refresh PROPERTIES COMPILE_FLAGS "-fwhole-program -fpie -fPIE")
INSTALL(
  TARGETS zypp-refresh
  RUNTIME DESTINATION ${INSTALL_PREFIX}/sbin
)

# bash completion script
INSTALL(
  FILES bash-completion.sh
  DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
  RENAME zypper
)


# installation_sources script
INSTALL(
  PROGRAMS installation_sources
  DESTINATION ${INSTALL_PREFIX}/bin
)

# logrotate config file
INSTALL(
  FILES zypper.lr zypp-refresh.lr
  DESTINATION ${SYSCONFDIR}/logrotate.d
)

# augeas lens
INSTALL(
  FILES utils/zypper.aug
  DESTINATION ${INSTALL_PREFIX}/share/${PACKAGE}
)

=== tests/utils/CMakeLists.txt ===
ADD_TESTS( text )
ADD_TESTS( formater )

=== debian/changelog ===
zypper (1.14.68-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:52 +1100

zypper (1.14.68-1build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:49 +0100

zypper (1.14.68-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.68'

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Dec 2023 14:43:28 +0100

zypper (1.14.66-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.66'
  * d/control: drop ancient version constraint on CMake
  * Drop 1001_make-ZyppCommon-cmake-module-includable.patch, merged
    upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Oct 2023 11:20:25 +0100

zypper (1.14.65-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Update upstream source from tag 'upstream/1.14.65'
  * Drop 1002_some-spelling-fixes.patch, merged upstream
  * Drop manual setting of CMake prefix directory
  * Drop manual rename of bash completion script, fixed upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Oct 2023 12:40:10 +0100

=== debian/control ===
Source: zypper
Section: admin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Priority: optional
Build-Depends: asciidoctor,
               debhelper-compat (= 13),
               cmake,
               libreadline-dev,
               libzypp-dev (>= 17.31),
               libaugeas-dev,
               libboost-all-dev,
               librpm-dev,
Homepage: https://github.com/openSUSE/zypper
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/zypper.git
Vcs-Browser: https://salsa.debian.org/debian/zypper

Package: zypper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 zypper-common (>= ${source:Version}),
Suggests:
 zypper-doc,
Description: command line software manager using libzypp
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.

Package: zypper-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (common files)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the arch-independent files of the zypper software
 manager.

Package: zypper-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (documentation)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the documentation files of the zypper software
 manager.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_BUILD_TESTS=ON \
		-DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
		-DCMAKE_VERBOSE_MAKEFILE=ON

execute_after_dh_auto_install:
	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources

## zypper 1.14.76

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,13 +32,15 @@
 
 SET( CMAKE_CXX_STANDARD ${ZYPPCOMMON_CXX_STANDARD} )
 SET( CMAKE_CXX_EXTENSIONS OFF )
-SET( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3" )
-SET( CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE}   -O3" )
+SET( CMAKE_CXX_FLAGS_RELEASE "-O3" )
+SET( CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O2" )
+SET( CMAKE_C_FLAGS_RELEASE   "-O3" )
+SET( CMAKE_C_FLAGS_RELWITHDEBUGINFO "-g -O2" )
 
-SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
-SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fPIC -g -Wall -fstack-protector" )
+SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpie -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fvisibility=hidden" )
+SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fpie -Wall" )
 
-SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie" )
+SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fpie -fvisibility=hidden" )
 
 IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
   # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)

=== debian/changelog ===
zypper (1.14.76-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.76'

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 23:41:45 +0100

zypper (1.14.74-1) unstable; urgency=medium

  * Mark autopkgtest as superficial
  * Update upstream source from tag 'upstream/1.14.74'

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jul 2024 09:53:29 +0100

zypper (1.14.73-3) unstable; urgency=high

  * Restrict autopkgtest to amd64, repositories not available on other
    arches

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 10:09:46 +0100

zypper (1.14.73-2) unstable; urgency=medium

  * Add autopkgtest smoke test
  * Bump dependency on libzypp-dev to 17.34

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 22:08:06 +0100

zypper (1.14.73-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.73'
  * Bump libzypp-dev dependency to >= 17.33

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 May 2024 20:21:12 +0100

zypper (1.14.71-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.71'
  * Bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 20:20:26 +0100

zypper (1.14.70-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.70'

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Apr 2024 23:50:02 +0100

zypper (1.14.69-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/1.14.69'
  * Bump dependency on libzypp to 17.32

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Mar 2024 23:00:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: zypper
 Section: admin
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.31),
+               libzypp-dev (>= 17.34~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/debian/zypper.git
-Vcs-Browser: https://salsa.debian.org/debian/zypper
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zypper.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zypper
 
 Package: zypper
 Architecture: any

=== debian/tests/control ===
Tests: testsuite.sh
Restrictions: allow-stderr, needs-internet, superficial
Architecture: amd64
Depends: zypper, ca-certificates

## zypper 1.14.77

=== debian/changelog ===
zypper (1.14.77-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.77'
  * Bump dependency on libzypp-dev to 17.35.10
  * Do not run tests in parallel

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 12:56:07 +0200

## zypper 1.14.78

=== debian/changelog ===
zypper (1.14.78-1) unstable; urgency=medium

  * autopkgtest: ensure it runs when rpm is updated
  * Update upstream source from tag 'upstream/1.14.78'
  * autopkgtest: add needs-root restriction

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Nov 2024 10:53:01 +0000

## zypper 1.14.79

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
 PROJECT( ZYPPER C CXX )
 SET( PACKAGE "zypper" )

=== debian/changelog ===
zypper (1.14.79-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.79'

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 Jan 2025 18:45:15 +0000

## zypper 1.14.80

=== debian/changelog ===
zypper (1.14.80-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.80'

 -- Luca Boccassi <bluca@debian.org>  Sun, 19 Jan 2025 12:05:57 +0000

## zypper 1.14.81

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 PROJECT( ZYPPER C CXX )
 SET( PACKAGE "zypper" )
 
@@ -6,14 +6,18 @@
 IF (DEFINED ZYPP_PREFIX)
   SET( CMAKE_MODULE_PATH
     ${ZYPP_PREFIX}/${LIB}/cmake/Zypp/
+    ${ZYPP_PREFIX}/lib64/cmake/Zypp/
+    ${ZYPP_PREFIX}/lib/cmake/Zypp/
     ${CMAKE_MODULE_PATH}
   )
-ELSE (DEFINED ZYPP_PREFIX)
+else()
   SET( CMAKE_MODULE_PATH
     ${CMAKE_INSTALL_PREFIX}/${LIB}/cmake/Zypp/
+    ${CMAKE_INSTALL_PREFIX}/lib64/cmake/Zypp/
+    ${CMAKE_INSTALL_PREFIX}/lib/cmake/Zypp/
     ${CMAKE_MODULE_PATH}
   )
-ENDIF (DEFINED ZYPP_PREFIX)
+endif()
 
 SET( CMAKE_MODULE_PATH
   ${ZYPPER_SOURCE_DIR}/cmake/modules
@@ -48,41 +52,27 @@
   # abbreviations in order not to break tools. In 15.2 they must be fixed.
   MESSAGE( STATUS "LEGACY_ENABLE_LONGOPT_ABBREV" )
   ADD_DEFINITIONS( -DLEGACY_ENABLE_LONGOPT_ABBREV=1 )
-ENDIF ( LEGACY_ENABLE_LONGOPT_ABBREV )
+endif()
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
 FIND_PACKAGE( Zypp REQUIRED )
-IF( ZYPP_FOUND )
-  INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
-ELSE( ZYPP_FOUND )
-  MESSAGE( FATAL_ERROR "libzypp not found" )
-ENDIF( ZYPP_FOUND )
+INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
 
 FIND_PACKAGE( Gettext REQUIRED )
-IF( GETTEXT_FOUND )
-  INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
-ELSE( GETTEXT_FOUND )
-  MESSAGE( FATAL_ERROR "gettext not found" )
-ENDIF( GETTEXT_FOUND )
+INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
 
 FIND_PACKAGE( Readline REQUIRED )
-IF( READLINE_FOUND )
-  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
-ELSE( READLINE_FOUND )
-  MESSAGE( FATAL_ERROR "readline not found" )
-ENDIF( READLINE_FOUND )
+INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
 
 FIND_PACKAGE( Augeas REQUIRED )
-IF( AUGEAS_FOUND )
-  INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
-  FIND_PACKAGE(LibXml2)
-  IF (LIBXML2_FOUND)
-    INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
-  ENDIF( LIBXML2_FOUND)
-ELSE( AUGEAS_FOUND )
-  MESSAGE( FATAL_ERROR "augeas not found" )
-ENDIF( AUGEAS_FOUND )
+INCLUDE_DIRECTORIES(${AUGEAS_INCLUDE_DIR})
+FIND_PACKAGE(LibXml2)
+IF (LIBXML2_FOUND)
+  INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
+ENDIF()
+
+enable_testing()
 
 MACRO(ADD_TESTS)
   FOREACH( loop_var ${ARGV} )
@@ -90,26 +80,22 @@
     ADD_EXECUTABLE( ${loop_var}_test ${loop_var}_test.cc )
     TARGET_LINK_LIBRARIES( ${loop_var}_test ${ZYPP_LIBRARY} boost_unit_test_framework zypper_lib zypper_test_utils)
     ADD_TEST( ${loop_var}_test ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}_test --catch_system_errors=no)
-  ENDFOREACH( loop_var )
+  endforeach()
 ENDMACRO(ADD_TESTS)
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( doc )
 IF ( ENABLE_BUILD_TESTS )
   ADD_SUBDIRECTORY( tests )
-ELSE ( ENABLE_BUILD_TESTS )
+else()
   ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
-ENDIF ( ENABLE_BUILD_TESTS )
+endif()
 
 IF ( ENABLE_BUILD_TRANS )
   ADD_SUBDIRECTORY( po )
-ELSE ( ENABLE_BUILD_TRANS )
+else()
   ADD_SUBDIRECTORY( po EXCLUDE_FROM_ALL )
-ENDIF ( ENABLE_BUILD_TRANS )
-
-INCLUDE(CTest)
-ENABLE_TESTING()
-
+endif()
 
 # documentation too important to be hidden in doc:
 INSTALL(

=== tests/CMakeLists.txt ===
# ma@: disabled subdirs and tests as thay fail on hudson
ADD_SUBDIRECTORY(lib)

INCLUDE_DIRECTORIES( ${ZYPPER_SOURCE_DIR}/tests/lib )
INCLUDE_DIRECTORIES( ${ZYPPER_SOURCE_DIR}/src )

ADD_DEFINITIONS( -DTESTS_SRC_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DTESTS_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}" )

ADD_SUBDIRECTORY( utils )

ADD_CUSTOM_TARGET( ctest
   COMMAND ctest -a
)

ADD_TESTS( PackageArgs )
ADD_TESTS( SolverRequester )
ADD_TESTS( ZyppFlags )
ADD_TESTS( Locales )
ADD_TESTS( Search_104 )

=== debian/changelog ===
zypper (1.14.81-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.81'

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:35:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.34~),
+               libzypp-dev (>= 17.35.10~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,

## zypper 1.14.83

=== debian/changelog ===
zypper (1.14.83-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.83'
  * Bump dependency on libzypp-dev

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 12:03:21 +0000

## zypper 1.14.84

=== debian/changelog ===
zypper (1.14.84-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.84'

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Feb 2025 11:09:19 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.35.10~),
+               libzypp-dev (>= 17.36~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,

## zypper 1.14.88

=== debian/changelog ===
zypper (1.14.88-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.88'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Mar 2025 11:39:25 +0000

zypper (1.14.87-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.87'
  * Bump build dependency on libzypp to 17.36.4

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Mar 2025 15:49:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
 	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel

## zypper 1.14.89

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ADD_SUBDIRECTORY( utils )
 
-ADD_CUSTOM_TARGET( ctest
+ADD_CUSTOM_TARGET( ${ZYPPER_TARGET_PREFIX}ctest
    COMMAND ctest -a
 )

=== debian/changelog ===
zypper (1.14.89-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:52 +0200

zypper (1.14.89-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.89'
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Fri, 02 May 2025 12:01:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper-compat (= 13),
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.36~),
+               libzypp-dev (>= 17.36.4~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zypper.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zypper

## zypper 1.14.93

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,29 @@
 SET( PACKAGE "zypper" )
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-IF (DEFINED ZYPP_PREFIX)
+if ( ZYPP_STACK_BUILD )
+  SET( ZYPPER_TARGET_PREFIX "zypper_")
   SET( CMAKE_MODULE_PATH
-    ${ZYPP_PREFIX}/${LIB}/cmake/Zypp/
-    ${ZYPP_PREFIX}/lib64/cmake/Zypp/
-    ${ZYPP_PREFIX}/lib/cmake/Zypp/
-    ${CMAKE_MODULE_PATH}
+      ${zypp-stack_SOURCE_DIR}/libzypp/cmake/modules/
+      ${CMAKE_MODULE_PATH}
   )
+include_directories(${ZYPP_STACK_INCLUDE_DIRS})
 else()
-  SET( CMAKE_MODULE_PATH
-    ${CMAKE_INSTALL_PREFIX}/${LIB}/cmake/Zypp/
-    ${CMAKE_INSTALL_PREFIX}/lib64/cmake/Zypp/
-    ${CMAKE_INSTALL_PREFIX}/lib/cmake/Zypp/
-    ${CMAKE_MODULE_PATH}
-  )
+  IF (DEFINED ZYPP_PREFIX)
+    SET( CMAKE_MODULE_PATH
+      ${ZYPP_PREFIX}/${LIB}/cmake/Zypp/
+      ${ZYPP_PREFIX}/lib64/cmake/Zypp/
+      ${ZYPP_PREFIX}/lib/cmake/Zypp/
+      ${CMAKE_MODULE_PATH}
+    )
+  else()
+    SET( CMAKE_MODULE_PATH
+      ${CMAKE_INSTALL_PREFIX}/${LIB}/cmake/Zypp/
+      ${CMAKE_INSTALL_PREFIX}/lib64/cmake/Zypp/
+      ${CMAKE_INSTALL_PREFIX}/lib/cmake/Zypp/
+      ${CMAKE_MODULE_PATH}
+    )
+  endif()
 endif()
 
 SET( CMAKE_MODULE_PATH
@@ -46,6 +55,14 @@
 
 SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fpie -fvisibility=hidden" )
 
+if( ENABLE_UBSAN_CHECKS )
+  SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined -fsanitize=address" )
+  SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -fsanitize=undefined -fsanitize=address" )
+  SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lubsan")
+  SET( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lubsan ")
+endif()
+
+
 IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
   # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)
   # On SLE15/Leap 15.0 and 15.1 we will stay bug-compatible and accept the
@@ -56,7 +73,15 @@
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
-FIND_PACKAGE( Zypp REQUIRED )
+if ( ZYPP_STACK_BUILD )
+  set( ZYPP_FOUND 1 )
+  set( ZYPP_INCLUDE_DIR ${zypp-stack_SOURCE_DIR}/libzypp )
+  set( ZYPP_LIBRARY zypp )
+  set( ZYPP_TUI_LIBRARY zypp-tui )
+else()
+  FIND_PACKAGE( Zypp REQUIRED )
+endif()
+
 INCLUDE_DIRECTORIES(${ZYPP_INCLUDE_DIR})
 
 FIND_PACKAGE( Gettext REQUIRED )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,7 @@
   commands/utils/licenses.h
   commands/utils/download.h
   commands/utils/source-download.h
+  commands/utils/system-architecture.h
   commands/utils/purge-kernels.h
   commands/ps.h
   commands/needs-rebooting.h
@@ -151,6 +152,7 @@
   commands/utils/licenses.cc
   commands/utils/download.cc
   commands/utils/source-download.cc
+  commands/utils/system-architecture.cc
   commands/utils/purge-kernels.cc
   commands/ps.cc
   commands/needs-rebooting.cc

=== debian/changelog ===
zypper (1.14.93-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.93'
  * Bump dependency on libzypp-dev for new APIs
  * Build with package-notes ELF stamping
  * Depend on libzypp-bin

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
+               dh-package-notes,
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.36.4~),
+               libzypp-dev (>= 17.37.6~),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
@@ -24,6 +25,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
+ libzypp-bin,
 Suggests:
  zypper-doc,
 Description: command line software manager using libzypp

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
 	dh $@

=== debian/tests/control ===
# Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
Features: test-name=hint-testsuite-triggers
Test-Command: /bin/true
Depends: rpm,
Restrictions: hint-testsuite-triggers

Tests: testsuite.sh
Restrictions: allow-stderr, needs-internet, needs-root, superficial
Architecture: amd64
Depends: zypper, ca-certificates

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/zypper-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/openSUSE/zypper/tags .*/archive/refs/tags/([\d\.]+).tar.gz

## zypper 1.14.94

=== debian/changelog ===
zypper (1.14.94-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.14.94'

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Dec 2025 22:58:48 +0000
